* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    /* naranja */
    --naranja-10: #301a03;
    --naranja-21: #643605;
    --naranja-31: #975208;
    --naranja-42: #cb6e0b;
    --naranja-53: #f38a19;
    --naranja-63: #f6a44c;
    --naranja-74: #f8be80;
    --naranja-84: #fbd8b3;
    --naranja-95: #fef3e7;

    /* rojo */
    --rojo-10: #2f0604;
    --rojo-21: #620c07;
    --rojo-31: #94120b;
    --rojo-42: #c7180f;
    --rojo-53: #ee281e;
    --rojo-63: #f25850;
    --rojo-74: #f68882;
    --rojo-84: #f9b8b5;
    --rojo-95: #fde8e7;

    /* Sky Blue */
    --azul-cielo-10: #032530;
    --azul-cielo-21: #074b62;
    --azul-cielo-31: #0a7295;
    --azul-cielo-42: #0e99c8;
    --azul-cielo-53: #1cbbef;
    --azul-cielo-63: #4fcaf3;
    --azul-cielo-74: #82d9f6;
    --azul-cielo-84: #b5e8fa;
    --azul-cielo-95: #e7f8fd;

    /* Grayish Sky Blue */
    --gris-10: #151c1e;
    --gris-21: #2b3a3f;
    --gris-31: #41575f;
    --gris-42: #57757f;
    --gris-53: #6f919d;
    --gris-63: #8faab3;
    --gris-74: #afc2c9;
    --gris-84: #d0dbdf;
    --gris-95: #f0f3f5;

}

body {
    font-family: "Original Surfer", sans-serif;
    background-color: var(--naranja-53);
    font-size: 20px;
}

.pantalla-inicio,
.pantalla-quiz,
.pantalla-final {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    min-height: fit-content;
    height: 100%;
    text-align: center;
    background-color: rgba(255, 255, 255, 0.75);
    backdrop-filter: blur(10px);
    padding: 3rem 2rem;
    corner-shape: scoop;
    border-radius: 2rem;
    box-shadow: -10px 10px 0px var(--naranja-31);
}

.pantalla-quiz {
    gap: 1rem;
    transition: scale 1000ms ease;
}

.pantalla-inicio {
    h1 {
        font-family: "Underdog", sans-serif;
        font-size: clamp(3.5rem, 5vw, 5.61rem);
        color: var(--naranja-53);
    }
}

#resultado {
    font-size: clamp(2.5rem, 5vw, 3rem);
    margin-bottom: 2rem;
    color: var(--naranja-10);
}

.pantalla-final {
    transition: scale 1000ms ease;

    h3 {
        font-family: "Underdog", sans-serif;
        color: var(--naranja-53);
        font-size: clamp(1rem, 5vw, 2rem);
    }

    button {
        background-color: var(--naranja-53);
        color: white;
        font-size: 24px;
        padding: 1rem 2rem;
        corner-shape: scoop;
        border-radius: 1rem;
        border: none;
        font-family: inherit;
        cursor: pointer;
        transition: 150ms;
        border: 2px solid var(--naranja-53);

        &:hover {
            background-color: white;
            color: var(--naranja-53);
        }

        &:active {
            transform: translateY(5px);
        }
    }
}

main {
    width: 100%;
    height: 100dvh;
    padding: 2rem;
}

h1 {
    font-size: 59.72px;
    line-height: 1;
    margin-bottom: 1rem;
    color: light-dark(var(--naranja-21), var(--naranja-95));
}

h3 {
    font-size: clamp(2rem, 5vw, 3rem);
    line-height: 1;
    margin-bottom: 2rem;
    color: light-dark(var(--naranja-21), var(--naranja-95));
}

.pantalla-quiz,
.pantalla-final {
    display: none;
}

@media (width > 768px) {
    main {
        width: 768px;
        margin: 0 auto;
    }
}

#boton-iniciar {
    border: none;
    padding: 16px;
    background-color: var(--naranja-53);
    color: white;
    font-weight: bold;
    font-size: 24px;
    cursor: pointer;
    font-family: inherit;
    margin-top: 5rem;
    width: 100%;
    transition: 150ms;
    corner-shape: scoop;
    border-radius: 1rem;
    border: 2px solid var(--naranja-53);

    &:hover {
        background-color: white;
        color: var(--naranja-53);
    }

    &:active {
        transform: translateY(5px);
    }
}

.opciones {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 1rem;
}

.opcion {
    border: 2px solid var(--naranja-63);
    padding: 0.5rem 2rem;
    border-radius: 1rem;
    background-color: white;
    color: var(--naranja-31);
    font-weight: 500;
    font-size: 24px;
    cursor: pointer;
    font-family: inherit;
    transition: 150ms;

    &:hover {
        background-color: var(--naranja-84);
    }
}

.contenedor-quiz {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contenedor-navegacion {
    display: flex;
    justify-content: center;
    width: 100%;
    gap: 2rem;
}

.boton-navegacion {
    border: none;
    padding: 10px 16px;
    background-color: var(--naranja-53);
    box-shadow: -5px 5px 0px var(--naranja-31);
    color: white;
    font-weight: 500;
    font-size: 24px;
    cursor: pointer;
    font-family: inherit;
    transition: 150ms;

    &:active {
        transform: translateY(5px);
        box-shadow: 0 0px 0px var(--naranja-31);
    }
}

.pantalla-final {
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    text-align: center;
}

.seleccionada {
    background-color: var(--naranja-53);
    color: white;

    &:hover {
        background-color: var(--naranja-53);
        color: white;
    }
}

.contenedor-medidor {
    width: 100%;
    height: 10px;
    corner-shape: scoop;
    border-radius: 5px;
    overflow: hidden;
    border: 2px solid var(--naranja-53)
}

#medidor {
    background-color: var(--naranja-53);
    height: 100%;
    width: 0%;
    transition: 150ms;
}

.fondo {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: -1;
    pointer-events: none;
    background-image:
        url('./assets/camaron-spaced.png'),
        url('./assets/camaron-spaced.png');

    background-position:
        0 0,
        75px 75px;

    background-size: 150px 150px;

    animation: movePattern 20s linear infinite;
}

@keyframes movePattern {
    from {
        background-position: 0 0, 75px 75px;
    }

    to {
        background-position: 300px 300px, 375px 375px;
        /* diagonal */
    }
}

.imagen-pregunta {
    height: 200px;
    max-width: 100%;
    object-fit: cover;
    border-radius: 1rem;
    margin-bottom: 1rem;
    corner-shape: scoop;
}

#imagen-resultado {
    height: 300px;
    max-width: 100%;
    object-fit: cover;
    border-radius: 1rem;
    margin-bottom: 1rem;
    corner-shape: scoop;
}